How to solve the connection error?


#1

Hi everyone ,I downloaded nuclide package from github and unzip into ~/.atom/packages , but did not work,so I deleted it,then this error appeared.Did nuclide changed some files for network? How can I solve this problem? Thank you.


#2

If you download a package via your browser and unzip it, you’re going to have to run npm install inside that package in order to pull down all of its dependencies and run any build scripts. If you didn’t do that, then that’s why it didn’t work. You’d be better off using apm install or installing packages from within Atom, both of which will handle installing the packages properly.

How can I solve this problem?

Close Atom and restart it from the command line with atom --safe. Go to Install Packages and see if you get the same error. If not, then close Atom, restart it normally, and see if you get the same error.


#3

Thanks for your reply,I have understood why the package do not work,but the connection error was still exist after I followed your step.


#4

It’'s OK now when I set one proxy:
apm config set strict-ssl false
apm config set https-proxy myproxy
Thank you.